function [specUpM,rAxis,dopAxis] = Fourier_proccesing(sigMatrix1,sigMatrix2,npkt,I)


[RadarP]= Radar_Parm;
ipolN = RadarP.inpol;
fTast = RadarP.abtastfrequenz;
fCenter = RadarP.CFrequenz;
fC = RadarP.C;

npkt1=length(sigMatrix1(1,:));
npkt2=length(sigMatrix2(1,:));

% calculate the echo profil
wfkt1 = hamming(I) * hamming(npkt1)' ; % 2D hamming window
wfkt2 = hamming(I) * hamming(npkt2)' ; % 2D hamming window
 
specUp1 = fft2(sigMatrix1.*wfkt1,ipolN,ipolN) * ipolN/10 / npkt / mean(mean(wfkt1)) ;% Echo Spectra
specUp2 = fft2(sigMatrix2.*wfkt2,ipolN,ipolN) * ipolN/10 / npkt / mean(mean(wfkt2)) ; % Echo Spectra
            
[dopCells rCells] = size(specUp1);
    
specUp1 = fftshift (specUp1);
specUp1 = specUp1 (:,1+(ipolN/2):ipolN);
specUp2 = fftshift (specUp2);
specUp2 = specUp2 (:,1+(ipolN/2):ipolN);

% % % Axis
fAxis = (0:1:((rCells/2)-1))  / (rCells-0) * RadarP.abtastfrequenz; 
KonstB=2*RadarP.Bandbreite;
TmC=( RadarP.C * RadarP.updauer);
F2D=TmC/KonstB;
DistAxis = fAxis *( F2D);%
nMax = min(find(DistAxis > RadarP.DistDisp));
Plot1Ddaten.DistDiff = mean(diff(DistAxis));

% ar = round(0.25/Plot1Ddaten.DistDiff);
ar=1;

Plot1Ddaten.DistAxis =DistAxis(1:nMax);
Plot1Ddaten.spec1=(specUp1(:,ar:(nMax+ar-1)));%% Antenna reflection 0.5 cm
Plot1Ddaten.spec2=(specUp2(:,ar:(nMax+ar-1)));%% Antenna reflection 0.5 cm

T0=68e-3;
fTastdop = 1/(T0);
dopAxis = (([1:dopCells]-dopCells/2) / dopCells*fTastdop);
dopAxis = (dopAxis*fC)/(2*fCenter);

Plot1Ddaten.specUpM = Plot1Ddaten.spec1.*conj(Plot1Ddaten.spec2);
res = (abs(Plot1Ddaten.specUpM)/max(max(abs(Plot1Ddaten.specUpM))));
        
    CLIM=[-log10(1) -log10(0.01)];
    figure(5),imagesc(Plot1Ddaten.DistAxis,dopAxis,-log10(res),CLIM);
    colormap(hot);
         set(gca, 'yDir','normal','xgrid','on','ygrid','on');
        grid on;
        ylabel ('speed in m/s');
        xlabel ('pseudo-range in m')
        title('Mixed Spectra')
        pause(7)
        
        specUpM = Plot1Ddaten.specUpM;
        rAxis = Plot1Ddaten.DistAxis;
        
        
       
        
        
        
        
        
        
        